> ## Documentation Index
> Fetch the complete documentation index at: https://chatbotx.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# List AI agents



## OpenAPI

````yaml /api-reference/platform-api.json get /v1/ai-agents
openapi: 3.1.1
info:
  title: ChatbotX
  version: 0.0.1
servers:
  - url: https://app.chatbotx.io/api
security:
  - developerAccessToken: []
  - tokenInSearchParams: []
paths:
  /v1/ai-agents:
    get:
      tags:
        - AI Agents
      summary: List AI agents
      operationId: listAIAgentsWorkspaceTokenAPI
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id: {}
                        createdAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        updatedAt:
                          type: string
                          format: date-time
                          x-native-type: date
                        workspaceId: {}
                        name:
                          type: string
                        prompt:
                          anyOf:
                            - type: string
                            - type: 'null'
                        messages:
                          type: array
                          items:
                            anyOf:
                              - anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: 'null'
                              - type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              - type: array
                                items:
                                  anyOf:
                                    - {}
                                    - type: 'null'
                        isDefault:
                          type: boolean
                        tools:
                          type: array
                          items:
                            type: string
                        webSearchAuthorizedDomains:
                          type: array
                          items:
                            type: string
                        models:
                          type: array
                          items:
                            anyOf:
                              - anyOf:
                                  - type: string
                                  - type: number
                                  - type: boolean
                                  - type: 'null'
                              - type: object
                                propertyNames:
                                  type: string
                                additionalProperties: {}
                              - type: array
                                items:
                                  anyOf:
                                    - {}
                                    - type: 'null'
                        temperature:
                          type: number
                          minimum: -140737488355328
                          maximum: 140737488355327
                        maxOutputTokens:
                          type: integer
                          minimum: -2147483648
                          maximum: 2147483647
                      required:
                        - createdAt
                        - updatedAt
                        - name
                        - prompt
                        - messages
                        - isDefault
                        - tools
                        - webSearchAuthorizedDomains
                        - models
                        - temperature
                        - maxOutputTokens
                  pageCount:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                required:
                  - data
                  - pageCount
components:
  securitySchemes:
    developerAccessToken:
      type: http
      scheme: bearer
    tokenInSearchParams:
      type: apiKey
      in: query
      name: token

````